<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/"> 
 <Frame name="CRT_MainFrame" parent="UIParent" virtual="false">
    <Scripts>
      <OnLoad>self.TimeSinceLastUpdate = 0 
	  </OnLoad>
      <OnUpdate> 

        if type(crt_activeProfile) == "string" then
		 for k,v in pairs(crt) do
		  if v["ProfileName"] == crt_activeProfile then
		   crt_activeProfile = k;
		  end
		 end
		end
	    for elementId=1, #(crt[crt_activeProfile]) do
		 crt_Builder(elementId, crt[crt_activeProfile]);
		end
	    for elementId=1, #(crt[crt_activeProfile]) do
		 crt_Update(elementId, crt[crt_activeProfile]);
		end
	  </OnUpdate>      
    </Scripts>		
 </Frame>
 
</Ui>